All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PHTTPServiceProcess::Info Struct Reference

`#include <httpsvc.h>`

## Public Attributes

const char * | productName
const char * | manufacturerName
WORD | majorVersion
WORD | minorVersion
CodeStatus | buildStatus
| AlphaCode, BetaCode or ReleaseCode. More...
WORD | buildNumber
const char * | compilationDate
PTEACypher::Key | productKey
| Poduct key for registration. More...
const char * | securedKeys [MaxSecuredKeys]
| Product secured keys for registration. More...
PINDEX | securedKeyCount
PTEACypher::Key | signatureKey
| Signature key for encryption of HTML files. More...
const char * | manufHomePage
| WWW address of manufacturers home page. More...
const char * | email
| contact email for manufacturer More...
const char * | productHTML
| HTML for the product name, if NULL defaults to the productName variable. More...
const char * | gifHTML
| HTML to show GIF image in page headers, if NULL then the following are used to build one. More...
const char * | gifFilename
| File name for the products GIF file. More...
int | gifWidth
| Size of GIF image, if zero then none is used. More...
int | gifHeight
| in the generated HTML. More...
const char * | copyrightHolder
| Name of copyright holder. More...
const char * | copyrightHomePage
| Home page for copyright holder. More...
const char * | copyrightEmail
| E-Mail address for copyright holder. More...

## Member Data Documentation

WORD PHTTPServiceProcess::Info::buildNumber

CodeStatus PHTTPServiceProcess::Info::buildStatus

AlphaCode, BetaCode or ReleaseCode.

const char* PHTTPServiceProcess::Info::compilationDate

const char* PHTTPServiceProcess::Info::copyrightEmail

E-Mail address for copyright holder.

const char* PHTTPServiceProcess::Info::copyrightHolder

Name of copyright holder.

const char* PHTTPServiceProcess::Info::copyrightHomePage

Home page for copyright holder.

const char* PHTTPServiceProcess::Info::email

contact email for manufacturer

const char* PHTTPServiceProcess::Info::gifFilename

File name for the products GIF file.

int PHTTPServiceProcess::Info::gifHeight

in the generated HTML.

const char* PHTTPServiceProcess::Info::gifHTML

HTML to show GIF image in page headers, if NULL then the following are used to build one.

int PHTTPServiceProcess::Info::gifWidth

Size of GIF image, if zero then none is used.

WORD PHTTPServiceProcess::Info::majorVersion

const char* PHTTPServiceProcess::Info::manufacturerName

const char* PHTTPServiceProcess::Info::manufHomePage

WWW address of manufacturers home page.

WORD PHTTPServiceProcess::Info::minorVersion

const char* PHTTPServiceProcess::Info::productHTML

HTML for the product name, if NULL defaults to the productName variable.

PTEACypher::Key PHTTPServiceProcess::Info::productKey

Poduct key for registration.

const char* PHTTPServiceProcess::Info::productName

PINDEX PHTTPServiceProcess::Info::securedKeyCount

const char* PHTTPServiceProcess::Info::securedKeys[MaxSecuredKeys]

Product secured keys for registration.

PTEACypher::Key PHTTPServiceProcess::Info::signatureKey

Signature key for encryption of HTML files.

The documentation for this struct was generated from the following file:

- httpsvc.h